Bug 186672 - [PATCH] x11-fm/qtfm: fix build on 10.x
Summary: [PATCH] x11-fm/qtfm: fix build on 10.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-12 03:50 UTC by Dmitry Marakasov
Modified: 2014-02-14 13:30 UTC (History)
1 user (show)

See Also:


Attachments
qtfm-5.5.patch (1.37 KB, patch)
2014-02-12 03:50 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-02-12 03:50:00 UTC
- Fix build on 10.x by adding missing include for close()
- Fix stripping WRT staging

Port maintainer (lichray@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-02-12 04:25:48 UTC
Maintainer of x11-fm/qtfm,

Please note that PR ports/186672 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186672

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-02-12 04:25:49 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Antoine Brodin freebsd_committer 2014-02-14 09:51:15 UTC
State Changed
From-To: feedback->open

Hi, 
I was going to commit something similar. 
Please commit your patch, approved by portmgr 


Comment 4 Antoine Brodin freebsd_committer 2014-02-14 09:51:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

Hi, 
I was going to commit something similar. 
Please commit your patch, approved by portmgr
Comment 5 Dmitry Marakasov freebsd_committer 2014-02-14 13:20:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2014-02-14 13:20:34 UTC
Author: amdmi3
Date: Fri Feb 14 13:20:26 2014
New Revision: 344202
URL: http://svnweb.freebsd.org/changeset/ports/344202
QAT: https://qat.redports.org/buildarchive/r344202/

Log:
  - Fix build on 10.x
  - Fix stripping with regard to staging
  
  PR:		186672
  Submitted by:	amdmi3
  Approved by:	anoine (portmgr)

Modified:
  head/x11-fm/qtfm/Makefile
  head/x11-fm/qtfm/files/patch-src_bookmarks.cpp

Modified: head/x11-fm/qtfm/Makefile
==============================================================================
--- head/x11-fm/qtfm/Makefile	Fri Feb 14 13:13:33 2014	(r344201)
+++ head/x11-fm/qtfm/Makefile	Fri Feb 14 13:20:26 2014	(r344202)
@@ -17,8 +17,6 @@ DOS2UNIX_REGEX=	.*\.(h|cpp)
 USE_QT4=	gui network moc_build rcc_build \
 		imageformats_run
 
-STRIP_FILES=	bin/qtfm
-
 post-patch:
 	@cd ${WRKSRC} && \
 		${REINPLACE_CMD} -e s@/usr/@${PREFIX}/@g \
@@ -29,6 +27,6 @@ post-patch:
 		icondlg.cpp mainwindow.cpp mymodel.cpp
 
 post-install:
-	${STRIP_CMD} ${STRIP_FILES:S,^,${PREFIX}/,}
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/qtfm
 
 .include <bsd.port.mk>

Modified: head/x11-fm/qtfm/files/patch-src_bookmarks.cpp
==============================================================================
--- head/x11-fm/qtfm/files/patch-src_bookmarks.cpp	Fri Feb 14 13:13:33 2014	(r344201)
+++ head/x11-fm/qtfm/files/patch-src_bookmarks.cpp	Fri Feb 14 13:20:26 2014	(r344202)
@@ -1,6 +1,6 @@
---- src/bookmarks.cpp.orig	2012-07-11 18:10:56.065528820 -0500
-+++ src/bookmarks.cpp	2012-07-11 18:19:42.041677562 -0500
-@@ -22,6 +22,11 @@
+--- src/bookmarks.cpp.orig	2014-02-12 05:22:32.988231816 +0400
++++ src/bookmarks.cpp	2014-02-12 05:22:53.244712591 +0400
+@@ -22,6 +22,13 @@
  #ifndef BOOKMARKS_CPP
  #define BOOKMARKS_CPP
  
@@ -9,10 +9,12 @@
 +#include <sys/mount.h>
 +#endif
 +
++#include <unistd.h>
++
  #include <QtGui>
  #include "bookmarkmodel.h"
  #include "icondlg.h"
-@@ -80,44 +85,74 @@ void MainWindow::mountWatcherTriggered()
+@@ -80,44 +87,74 @@
  }
  
  //---------------------------------------------------------------------------
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"